<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jdbc.field (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jdbc.field (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/escape/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.jdbc.field</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/FBFlushableField.html" title="interface in org.firebirdsql.jdbc.field">FBFlushableField</a></td>
<td class="colLast">
<div class="block">Instances of this field cache data in auto-commit case if no transaction is
 yet available and must be flushed before transaction is committed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/FieldDataProvider.html" title="interface in org.firebirdsql.jdbc.field">FieldDataProvider</a></td>
<td class="colLast">
<div class="block">Provider of the row data.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/DefaultObjectConverter.html" title="class in org.firebirdsql.jdbc.field">DefaultObjectConverter</a></td>
<td class="colLast">
<div class="block">Provides a default implementation of <code>ObjectConverter</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/FBCachedClob.html" title="class in org.firebirdsql.jdbc.field">FBCachedClob</a></td>
<td class="colLast">
<div class="block">Clob implementation that is cached client-side.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></td>
<td class="colLast">
<div class="block">Describe class <code>FBField</code> here.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/FBFlushableField.CachedObject.html" title="class in org.firebirdsql.jdbc.field">FBFlushableField.CachedObject</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/FBLongVarCharField.html" title="class in org.firebirdsql.jdbc.field">FBLongVarCharField</a></td>
<td class="colLast">
<div class="block">This is Blob-based implementation of <code>FBStringField</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html" title="class in org.firebirdsql.jdbc.field">FBWorkaroundStringField</a></td>
<td class="colLast">
<div class="block">Class implementing workaround for "operation was cancelled" bug in server.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/JDBC42ObjectConverter.html" title="class in org.firebirdsql.jdbc.field">JDBC42ObjectConverter</a></td>
<td class="colLast">
<div class="block">Implementation of <code>ObjectConverter</code> to support JDBC 4.2 type conversions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/JdbcTypeConverter.html" title="class in org.firebirdsql.jdbc.field">JdbcTypeConverter</a></td>
<td class="colLast">
<div class="block">Helper class to convert from Firebird and metadata type information to JDBC type information.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/field/TypeConversionException.html" title="class in org.firebirdsql.jdbc.field">TypeConversionException</a></td>
<td class="colLast">
<div class="block">This exception is thrown when the requested type conversion cannot be
 performed.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/escape/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
